<!-- last update: 23/03/2024 -->

Tasks to do before releasing a new version of OpenMoneyBox.
===========================================================

## All:  
    1. Update `History.*` in `/help` and `android/help`; update help files  
    2. Increase/check `buildnumber.txt`  
    3. Sync `packaging`, `trunk` and `stable` branches in [Launchpad](https://launchpad.net/bilancio)  
    4. Update and upload tarball in [Launchpad](https://launchpad.net/bilancio)  
    5. Update `version.txt` on [SourceForge](https://sourceforge.net/projects/igisw-bilancio/)  
        1. check update type  
        2. check applicable OS’s  
    6. Close open bugs in [Launchpad](https://launchpad.net/bilancio) and [GitLab](https://gitlab.com/igi0/openmoneybox)

## Linux:  
    1. Review Cppcheck results  

## MSW:  
    1. Check for **Mingw64** updates (`8.1.0 arch:X86_64 thread:posix exception:seh build:0`)  
    2. Check for **MSys2** updates (`20240113`)  
    3. Check for **sqlite3.dll** updates (`sqlite-dll-win64-x64-3450200.zip`)  
    4. Check for **wget** updates (`1.21.4`)  
    5. Update `\src\openmoneybox\openmoneybox.rc`  
    6. Update `\installer_win\include\version.nsi`  
        1. Change registry key on major version change
       
## Android:  
    1. Increase `versionCode` in manifest file  
    2. Increase `versionName` in manifest file  
    3. Check library updates  
    4. Update online manual  
    5. Update FastLane changelog and string `updates` for all languages  
    6. Update online Android changelog  
    7. Sync [GitLab](https://gitlab.com/igi0/openmoneybox) `master` branch  

## MacOs:  
    1. Update BuildVersion in `productversion.cpp`  
    2. Update versions in files in `installer_mac` folder  
    3. Check for **Brew** updates (`brew update && brew upgrade`)  
