/***************************************************************
 * Name:      OmbTrayApp.h
 * Purpose:   OpenMoneyBox TaskBar Header
 * Author:    Igor Calì (igor.cali0@gmail.com)
 * Created:   2023-04-30
 * Copyright: Igor Calì (igor.cali0@gmail.com)
 * License: GNU
 **************************************************************/

#ifndef OMBTASKBAR_H
	#define OMBTASKBAR_H

//	#include <wx/app.h>
	#include <wx/taskbar.h>
	#include <wx/timer.h>
//	#include <vector>

//	#include "../types.h"
	#include "../omb34core.h"

	#include "../openmoneybox/openmoneybox.h"

	class ombTaskBarIcon: public wxTaskBarIcon
	{
		//friend class ombApp;
		private:
			/*
			std::vector<wxIcon>::const_iterator currentIcon;
			std::vector<wxIcon> icons;
			*/
			void ToggleAct(wxCommandEvent& event);
			void RunOmbClick(wxCommandEvent& event);
			void OptionsClick(wxCommandEvent& event);
			//void AuthorClick(wxCommandEvent& event);
			//void DonateClick(wxCommandEvent& event);
		protected:
			enum
			{
				ombAct = 1000,
				ombRun,
				ombOpt,
				//bilAut,
				//bilDon,
				ombExi
			};
		public:
			bool Act; // Active
			bool ringing;	// true when user input is requested
//			wxMenu *menu;
			ombApp *App;

			ombTaskBarIcon();
			virtual wxMenu *CreatePopupMenu();
			void ExitClick(wxCommandEvent& event);

		DECLARE_EVENT_TABLE();
	};

	extern bool ShowOptionsDialog(void);
	extern wxString GetDefaultDocument(void);

#endif // OMBTASKBAR_H
